Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgIntrospection::StdReaderWriter< T > Class Template Reference

This class template provides basic default streaming capabilities for all types that define streaming operators (<< and >>). More...

Inheritance diagram for osgIntrospection::StdReaderWriter< T >:

[legend]
List of all members.

## Public Member Functions
virtual std::ostream & | writeTextValue (std::ostream &os, const Value &v, const Options *=0) const
| Writes a textual representation of the value's content to a stream.
virtual std::istream & | readTextValue (std::istream &is, Value &v, const Options *=0) const
| Reads a textual representation of the value's content from a stream.
virtual std::ostream & | writeBinaryValue (std::ostream &os, const Value &v, const Options *=0) const
| Writes a binary representation of the value's content to a stream.
virtual std::istream & | readBinaryValue (std::istream &is, Value &v, const Options *=0) const
| Reads a binary representation of the value's content from a stream.

## Detailed Description

### template<typename T>
class osgIntrospection::StdReaderWriter< T >

This class template provides basic default streaming capabilities for all types that define streaming operators (<< and >>).

Most of the standard types are able to be read and written this way, so the StdReaderWriter template can be a convenient default for several types. The binary representation is a raw copy of the memory content.

TO-DO: improve binary streaming and avoid arch dependency.

## Member Function Documentation

template<typename T>
virtual std::istream& osgIntrospection::StdReaderWriter< T >::readBinaryValue | ( | std::istream & | is,
|  | Value & | v,
|  | const Options * | = 0
| ) | const`[inline, virtual]`

| Reads a binary representation of the value's content from a stream. Reimplemented from osgIntrospection::ReaderWriter.

template<typename T>
virtual std::istream& osgIntrospection::StdReaderWriter< T >::readTextValue | ( | std::istream & | is,
|  | Value & | v,
|  | const Options * | = 0
| ) | const`[inline, virtual]`

| Reads a textual representation of the value's content from a stream. Reimplemented from osgIntrospection::ReaderWriter.

template<typename T>
virtual std::ostream& osgIntrospection::StdReaderWriter< T >::writeBinaryValue | ( | std::ostream & | os,
|  | const Value & | v,
|  | const Options * | = 0
| ) | const`[inline, virtual]`

| Writes a binary representation of the value's content to a stream. Reimplemented from osgIntrospection::ReaderWriter.

template<typename T>
virtual std::ostream& osgIntrospection::StdReaderWriter< T >::writeTextValue | ( | std::ostream & | os,
|  | const Value & | v,
|  | const Options * | = 0
| ) | const`[inline, virtual]`

| Writes a textual representation of the value's content to a stream. Reimplemented from osgIntrospection::ReaderWriter.

The documentation for this class was generated from the following file:

- osgIntrospection/ReaderWriter